#!/usr/bin/env python
import coral; metamodel=coral.lang.SMD01 
p = metamodel.Package()
c = metamodel.ElementDefinition()

p.elements.add(c)

o = p.__getAllParts__()
print "o is ", o
assert(o.size() == 2)
assert(o[0] == c or o[1] == c)
assert(o[0] == p or o[1] == p)

